Subject: Re: [PATCH 00/13] git-p4: python3 compatibility

From: Denton Liu <[email-masked]>
Date: Fri, 6 Dec 2019 17:09:38 -0800

Hi Yang,

On Fri, Dec 06, 2019 at 04:33:18PM -0800, Yang Zhao wrote:
> This patchset adds python3 compatibility to git-p4.
> 
> While some clean-up refactoring would have been nice, I specifically avoided
> making any major changes to the internal API, aiming to have passing tests
> with as few changes as possible.
> 
> CI results can be seen from this GitHub PR: https://github.com/git/git/pull/673
> 
> (As of writing, the CI pipelines are intermittently failing due to reasons
> that appear unrelated to code. I do have python3 tests passing locally on
> a Gentoo host.)

Currently, there's a competing effort to do the same thing[1] by Ben
Keene (CC'd). Like the last time[2] two competing topics arose at the
same time, I'm going to make the same suggestion.

Would it be possible for both of you to join forces?

Thanks,

Denton

[1]: https://lore.kernel.org/git/[email-masked]/
[2]: https://lore.kernel.org/git/[email-masked]/